Package org.drinkless.tdlib

# Class TdApi.RichTextReference

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.RichText
org.drinkless.tdlib.TdApi.RichTextReference

Enclosing class:
  `TdApi`

public static class TdApi.RichTextReference extends TdApi.RichText
A reference to a richTexts object on the same page.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.RichText

  `TdApi.RichText.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `anchorName`
  The name of a richTextAnchor object, which is the first element of the target richTexts object.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.RichText`
  `text`
  The text.
  `String`
  `url`
  An HTTP URL, opening the reference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RichTextReference()`
  A reference to a richTexts object on the same page.
  `RichTextReference(TdApi.RichText text, String anchorName, String url)`
  A reference to a richTexts object on the same page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.RichText text
    The text.

  - ### anchorName

    public String anchorName
    The name of a richTextAnchor object, which is the first element of the target richTexts object.

  - ### url

    public String url
    An HTTP URL, opening the reference.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RichTextReference

    public RichTextReference()
    A reference to a richTexts object on the same page.

  - ### RichTextReference

    public RichTextReference(TdApi.RichText text, String anchorName, String url)
    A reference to a richTexts object on the same page.
    Parameters:
      `text` - The text.
      `anchorName` - The name of a richTextAnchor object, which is the first element of the target richTexts object.
      `url` - An HTTP URL, opening the reference.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.RichText`
    Returns:
      this.CONSTRUCTOR